:root {
	--color1: hsl(244, 75%, 65%);
	--color1Light: hsl(244, 75%, 70%);
	--color2: hsl(114, 70%, 52%);
	--color2Light: hsl(114, 70%, 62%);
	--color3: hsl(350, 95%, 50%);
	--color3Light: hsl(350, 85%, 60%);

	--selection: hsla(244, 100%, 75%, 0.3);

	--focusBorder: var(--color1);
	--focusBackground: hsla(195, 70%, 58%, 0.1);
	/*--focusBackgroundAlert: hsl(244, 95%, 92%);*/
	--focusBackgroundAlert: hsl(48, 100%, 85%);

	--darkColor: hsl(244, 20%, 15%);
	--darkColorAlpha: rgba(0,0,0,0.75);
	--textColor: hsl(244, 20%, 15%);
	--background: hsl(210, 20%, 96%);
	--launcherIcon: hsl(210, 80%, 98%);
	--itemBorder: rgba(0,0,0,0.15);
	--footer: var(--darkColor);
}
@font-face {
	font-family: InterVariable;
	font-style: normal;
	font-weight: 100 900;
	font-display: swap;
	src: url("webfonts/InterVariable.woff2") format("woff2");
}
@font-face {
	font-family: InterVariable;
	font-style: italic;
	font-weight: 100 900;
	font-display: swap;
	src: url("webfonts/InterVariable-Italic.woff2") format("woff2");
}
html {
	margin: 0;
	padding: 0;
	font-family: InterVariable, sans-serif;
	font-size: 16px;
	font-weight: 400;
	line-height: 1.5em;
	color: var(--textColor);
	background-color: var(--background);
}
body {
	margin: 0;
	padding: 0;
}
p {
	margin: 1.5em 0;
}
p.advice {
	font-weight: 600;
	color: var(--color1);
}
p.bold {
	font-weight: 600;
}
h1, h2, h3, h4 {
	font-weight: 600;
	margin: 2em 0 1.5rem 0;
	letter-spacing: -0.01em;
}
h1 {
	font-size: 2em;
}
h2 {
	font-size: 1.5em;
}
h3 {
	font-size: 1.2em;
}
h4 {
	font-size: 1em;
}
sup {
	line-height: 1em;
}
img.color1 {
	background-color: var(--color1);
}
img.color2 {
	background-color: var(--color2);
}
.hidden {
	display: none !important;
}
.centerContent {
	display: flex;
	justify-content: center;
	gap: 2em;
}
.click {
	cursor: pointer;
}
.click:hover {
	outline: 1px solid var(--color1);
	border-color: var(--color1);
}
*::selection {
	background-color: var(--selection);
	/*color: var(--textColor);*/
}


#loading {
	width: 40px;
	height: 40px;
	background-image: url(/img/loading.svg);
	position: fixed;
	z-index: 99;
	top: 10px;
	right: 15px;
	animation-name: rotation;
	animation-duration: 1000ms;
	animation-iteration-count: infinite;
	animation-timing-function: linear;
}
#payment-loading {
	position: fixed;
	z-index: 100;
	width: 100%;
	height: 100%;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background-color: var(--background);
	text-align: center;
}
#payment-loading .text {
	font-size: 2em;
	font-weight: 600;
	padding-top: 2em;
}
#payment-loading img {
	width: 100px;
	height: 100px;
	border-radius: 50%;
	border: 4px solid white;
	position: fixed;
	top: calc(50% - 54px);
	right: calc(50% - 54px);
	animation-name: rotation;
	animation-duration: 1500ms;
	animation-iteration-count: infinite;
	animation-timing-function: linear;
}
@keyframes rotation {
	from {transform:rotate(0deg);}
	to {transform:rotate(360deg);}
}


#identification,
#identification > div,
#message {
	position: fixed;
	top: 0;
	width: 100vw;
	height: 100vh;
	display: flex;
	/*justify-content: center;*/
	align-items: center;
}


#message > div {
	background-color: white;
	border-radius: 1em;
	width: calc(100% - 2em);
	max-width: 300px;
	padding: 1em;
	margin: 1em auto;
	display: flex;
	align-items: center;
	box-shadow: rgba(0,0,0,0.2) 0 4px 6px;
	border: 1px solid rgba(0,0,0,0.2);
}
#message .icon {
	width: 50px;
	height: 50px;
	border-radius: 0.5em;
	border: 2px solid var(--darkColor);
	background-size: 50px 50px;
	margin-right: 1em;
	flex-shrink: 0;
}
#message.erreur .icon {
	background-image: url(/img/erreur.svg);
	background-color: var(--color3);
}
#message .text {
	line-height: 1.2em;
}


#next {
	position: fixed;
	width: 0;
	height: 100vh;
	top: 0;
	right: 0;
	background-color: var(--darkColor);
	transition-duration: 0.8s;
	display: flex;
	justify-content: center;
	align-items: center;
	overflow: hidden;
}
#next.show {
	width: 100%;
}
#next.hide {
	left: 0;
	right: unset;
	width: 0;
}
#next > div {
	width: 320px;
	flex-shrink: 0;
	display: flex;
	align-items: center;
	justify-content: space-evenly;
}
#next img {
	transition-duration: 0.5s;
	width: 40px;
	height: 40px;
	background-color: var(--color1);
	border: 2px solid var(--darkColor);
	border-radius: 15%;
}
#next img.focus {
	width: 80px;
	height: 80px;
	background-color: var(--color1);
}


#quitter {
	position: fixed;
	width: 100%;
	height: 100%;
	top: 0;
	right: -100%;
	background-color: var(--color1);
	transition-duration: 0.8s;
	display: flex;
	justify-content: center;
	align-items: center;
	overflow: hidden;
}
#quitter.visible {
	right: 0;
}
#quitter div {
	margin-top: 50px;
	width: 100px;
	height: 200px;
	animation-name: byebye;
	animation-duration: 1s;
	animation-iteration-count: infinite;
	animation-timing-function: linear;
}
@keyframes byebye {
	0% {transform:rotate(-30deg);}
	50% {transform:rotate(30deg);}
	100% {transform:rotate(-30deg);}
}


#popup {
	background-color: rgba(0,0,0,0.5);
	position: fixed;
	top: 0;
	width: 100%;
	height: 100%;
	overflow-y: auto;
}
#popup > div {
	background-color: white;
	border-radius: 0.5em;
	width: calc(100% - 2em);
	max-width: 600px;
	padding: 1em;
	margin: 2em auto;
}
#popup .close {
	color: white;
	background-color: var(--color3);
	font-weight: 600;
	font-size: 0.8em;
	display: inline-block;
	padding: 0 0.75em;
	border-radius: 0.5em;
	cursor: pointer;
}
#popup .close:hover {
	background-color: var(--color3Light);
}
#popup-content {
	padding: 2em;
}
#popup-content hr {
	margin: 1em 0;
	border: 1px solid var(--darkColor);
}
@media (max-width: 640px) {
	#popup > div {
		margin: unset;
		border-radius: unset;
	}
	#popup-content {
		padding: 1em;
	}
}


#identification {
	transition-duration: 1s;
	/*background-color: hsl(244, 40%, 35%);*/
	background-color: hsl(210, 20%, 92%);
	/*background: hsl(186, 80%, 70%);
	background: linear-gradient(to bottom,
		hsl(186, 80%, 70%) 0%,
		hsl(218, 70%, 80%) 60%,
		hsl(345, 80%, 80%) 100%
	);*/
}
#identification.code {
	/*background-color: hsl(244, 55%, 60%);*/
	background-color: hsl(244, 65%, 80%);
	/*background: rgb(34,193,195);
	background: linear-gradient(to bottom,
		hsl(218, 70%, 80%) 0%,
		hsl(345, 80%, 80%) 60%,
		hsl(25, 90%, 70%) 100%
	);*/
}
#identification > div {
	background-image: url(/img/background-logo-dark.svg);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	overflow: auto;
}
#identification > div > div {
	background-color: white;
	border-radius: 1em;
	width: calc(100% - 2em);
	max-width: 400px;
	padding: 2em;
	margin: 1em auto;
	box-shadow: rgba(0,0,0,0.4) 0 0.5em 1em;
}
@media (max-width: 500px) {
	#identification > div > div {
		padding: 1.5em;
		margin: 1em;
	}
}
@media (max-height: 450px) {
	#identification > div {
		display: block;
	}
	#identification > div > div {
		margin: 1em auto;
	}
}
#identification > div * {
	display: block;
}
#identification .title {
	margin-bottom: 2rem;
}
#identification input:focus {
	outline: none;
	border-color: var(--focusBorder);
	/*background-color: var(--focusBackground);*/
}
#identification input {
	font-family: inherit;
	font-size: inherit;
	padding: 0.75em 1em;
	border: 2px solid var(--darkColor);
	width: calc(100% - 2em - 4px);
	border-radius: 0.5em;
	margin-bottom: 1em;
	background-color: white;
}
#identification label {
	font-size: 0.8em;
	margin-bottom: 0.5em;
}
#identification button {
	font-family: inherit;
	font-size: inherit;
	background-color: var(--color1);
	color: white;
	font-weight: 600;
	padding: 0.75em 1em;
	border-radius: 0.5em;
	border: none;
	cursor: pointer;
	width: 100%;
	margin-bottom: 1em;
	letter-spacing: 0.03em;
}
#identification button:hover {
	opacity: 0.8;
}
#identification .footer {
	margin-top: 2rem;
	font-size: 0.8em;
}


.title {
	font-weight: 600;
	font-size: 2em;
	line-height: 1em;
	margin-bottom: 1em;
	letter-spacing: -0.01em;
}
.subTitle {
	font-weight: 600;
	font-size: 1.25em;
	line-height: 1em;
	margin: 2.5rem 0 1.5rem;
}
.divider {
	font-weight: 600;
	font-size: 1.25em;
	line-height: 1.5em;
	border-bottom: 2px solid var(--darkColor);
	margin: 2.5rem 0 1.5rem;
}
a {
	color: inherit;
}
.button {
	box-sizing: border-box;
	width: 100%;
	max-width: calc(50% - 1rem);
	background-color: var(--color1);
	color: white;
	font-weight: 600;
	padding: 0.75em;
	border-radius: 0.5em;
	text-align: center;
	font-size: 1.1rem;
	line-height: 1.2em;
	cursor: pointer;
}
.button.color {
	background-color: var(--color2);
}
.button.colorCaution {
	background-color: var(--color3);
}
.button:hover {
	background-color: var(--color1Light);
}
.button.color:hover {
	background-color: var(--color2Light);
}
.button.colorCaution:hover {
	background-color: var(--color3Light);
}
.button.alert {
	background-color: var(--color3);
	animation-duration: 1s;
	animation-name: alert;
	animation-iteration-count: infinite;
	animation-timing-function: linear;
}
.back {
	width: fit-content;
	background-color: var(--textColor);
	color: white;
	padding: 0 1em 0 2em;
	border-radius: 2em;
	font-size: 0.8em;
	margin-bottom: 1.5rem;
	background-image: url(/img/backButton.svg);
	background-size: 18px 18px;
	background-position: 2px center;
	background-repeat: no-repeat;
	cursor: pointer;
}
@keyframes alert {
	0% {border-color: white;}
	50% {border-color: var(--color3);}
	100% {border-color: white;}
}
@media (max-width: 640px) {
	section .button {
		max-width: unset;
	}
}
.item .button,
.checkItem .button {
	width: unset;
	max-width: unset;
	display: inline-block;
	font-size: 0.8em;
	padding: 0.35em 0.75em;
	border-radius: 0.5em;
	font-weight: normal;
}


header {
	background-color: white;
	height: 2.5em;
	padding: 0 1em;
	display: flex;
	align-items: center;
	font-weight: 600;
	justify-content: space-between;
	border-bottom: 2px solid var(--color1);
}
header a {
	text-decoration: none;
}
/*header .logo {
	width: 122px;
	height: 30px;
	background-image: url(/img/logo-clr.svg);
	background-repeat: no-repeat;
}*/
@media (max-width: 640px) {
	header {
		/*justify-content: center;*/
	}
}


#content {
	display: flex;
	flex-direction: column;
	gap: 3em;
	padding: 3em 1em;
}
#content.withFooter {
	padding-bottom: 8em;
}


footer {
	position: fixed;
	bottom: 0;
	/*padding: 0 0.75em 3em;*/
	padding: 0.75em;
	width: calc(100% - 1.5em);
	background-color: var(--footer);
	display: flex;
	justify-content: center;
	gap: 0.75em;
}
footer .button {
	padding: 0.5em;
	max-width: 230px;
}
footer .button:hover {
}
footer .button.animation {
	position: relative;
	animation: bounce;
	animation-duration: 0.9s;
	animation-iteration-count: infinite;
	animation-timing-function: ease-in-out;
}
@keyframes bounce {
	0% {
		bottom: -1px;
	}
	65% {
		bottom: 0.6em;
	}
	100% {
		bottom: -1px;
	}
}
@media (max-width: 640px) {
	footer .button {
		font-size: 0.9em;
	}
}


section {
	margin: 0 auto;
	width: 100%;
	max-width: 720px;
}
section.narrow {
	max-width: 360px;
	text-align: center;
}
section.narrow img {
	width: 100px;
	height: 100px;
	border: 4px solid var(--darkColor);
	border-radius: 15%;
}
section.narrow p {
	text-align: auto;
	text-align: -webkit-auto;
}
section.narrow > * {
	margin: 1em 0;
	width: available;
	max-width: unset;
}


/* Launcher */
section.launcher {
	display: flex;
	flex-wrap: wrap;
	gap: 2em;
}
.launcherItem {
	background-color: white;
	padding: 0.75em;
	border-radius: 0.75em;
	border: 1px solid var(--itemBorder);
	box-sizing: border-box;
	display: flex;
	/*box-shadow: rgba(0,0,0,0.1) 0 4px 10px;*/
	align-items: center;
	width: calc(50% - 1em);
}
.launcherItem .icon {
	width: 50px;
	height: 50px;
	border: 1px solid rgba(0,0,0,0.2);
	background-color: var(--launcherIcon);
	border-radius: 0.5em;
	background-repeat: no-repeat;
	background-size: contain;
}
.launcherItem .name {
	margin-left: 1em;
	font-weight: 600;
}
@media (max-width: 640px) {
	section.launcher {
		gap: 1.5em;
	}
	.launcherItem {
		width: 100%;
	}
}


/* Form */
.form {
	display: flex;
	flex-wrap: wrap;
	gap: 2em;
}
.form p {
	margin: 0.5em 0;
}
.formItem {
	background-color: white;
	border-radius: 0.75em;
	border: 1px solid var(--itemBorder);
	box-sizing: border-box;
	padding: 0.5em 0.75em;
	width: calc(50% - 1em);
}
@media (max-width: 640px) {
	.form {
		gap: 1.5em;
	}
	.formItem {
		width: 100%;
	}
}
.formItem.disabled {
	background-color: rgba(0,0,0,0.05);
}
.formItem.large {
	width: 100%;
}
.formItem.focus {
	background-color: var(--focusBackgroundAlert);
}
.formItem.focus input:focus {
	/*color: white !important;*/
}
.formItem .label {
	font-size: 0.75em;
	font-weight: 600;
	line-height: 1.5em;
}
.formItem .label span {
	color: var(--color3);
}
.formItem.focus .label span {
	/*color: white;*/
}
.formItem input {
	font-family: inherit;
	font-size: 1.2em;
	padding: 0;
	color: inherit;
	line-height: 2em;
	border: none;
	background: none;
	width: 100%;
	text-align: left;
}
.formItem select {
	font-family: inherit;
	font-size: 1.2em;
	padding: 0;
	color: inherit;
	line-height: 2em;
	border: none;
	background: none;
	appearance: none;
	width: 100%;
	background-image: url(/img/select-dark.svg);
	background-repeat: no-repeat;
	background-position: right center;
	background-size: 16px 20px;
}
.formItem textarea {
	font-family: inherit;
	font-size: 1.2em;
	color: inherit;
	line-height: 1.5em;
	border: none;
	background: none;
	width: 100%;
	padding: 0;
	margin: 0;
}
.formItem input:focus,
.formItem select:focus,
.formItem textarea:focus {
	outline: none;
}
.formItem:focus-within {
	outline: 1px solid var(--color1);
	border-color: var(--color1);
}
.formItem.focus:focus-within {
	outline: 1px solid var(--darkColor);
	border-color: var(--darkColor);
}


.item {
	background-color: white;
	border-radius: 0.75em;
	border: 1px solid var(--itemBorder);
	box-sizing: border-box;
	overflow: hidden;
	margin: 1.5em 0;
	display: flex;
}
.item.dark {
	background-color: var(--darkColor);
	color: white;
}
.item.border {
	border: 2px solid var(--darkColor);
	background: none;
}
.item.click {
	background-image: url(/img/itemAction.svg);
	background-repeat: no-repeat;
	background-position: calc(100% - 0.5em) center;

}
.item.click .content {
	padding-right: 1.5em;
}
.item .tag {
	width: 30px;
	background-color: var(--color3);
	color: white;
	text-transform: uppercase;
	font-weight: 600;
	writing-mode: vertical-rl;
	/*text-orientation: sideways;*/
	transform:scale(-1);
	line-height: 30px;
	text-align: center;
}
.item > div:last-child {
	flex-grow: 1;
}
.item.payment {
	display: flex;
	padding: 1em 1.25em;
}
.item.payment > div:first-child {
	flex-grow: 1;
	font-weight: 600;
}
.item.payment > div:last-child {
	text-align: right;
}
.item .header {
	padding: 0.5em 1.25em;
	line-height: 1em;
	font-weight: 600;
	background-color: var(--darkColor);
	color: white;
}
.item .content {
	padding: 0.75em 1em;
	line-height: 1.4em;
}
.item .content > div:first-child {
	font-weight: 600;
}
.item .buttons,
.checkItem .buttons {
	display: flex;
	flex-wrap: wrap;
	gap: 0.5em;
	margin-top: 0.75em;
}


.checkItem {
	display: flex;
	margin: 1.5em 0;
}
.checkItem > div:first-child {
	margin-right: 0.75em;
	display: flex;
	align-items: center;
}
.checkItem > div:last-child {
	flex-grow: 1;
	border-radius: 0.75em;
	border: 1px solid var(--itemBorder);
	box-sizing: border-box;
	background-color: white;
	overflow: hidden;
}
.checkItem .checkbox {
	width: 2em;
	height: 2em;
	border: 1px solid var(--darkColor);
	border-radius: 0.5em;
	background-color: white;
	cursor: pointer;
	background-repeat: no-repeat;
}
.checkItem .checkbox:hover {
	border-color: var(--color2);
}
.checkItem .checkbox.checked {
	background-image: url(/img/checkbox.svg);
	animation-name: checkbox;
	animation-duration: 300ms;
	animation-timing-function: ease;
}
@keyframes checkbox {
	from {background-position: center -2em;}
	to {background-position: center center;}
}
.checkItem .checkbox.disabled {
	border-color: rgba(0,0,0,0.1);
	background: none;
	cursor: not-allowed;
}
.checkItem .header {
	padding: 0.5em 1.25em;
	line-height: 1em;
	font-weight: 600;
	background-color: var(--darkColor);
	color: white;
}
.checkItem .content {
	padding: 0.75em 1em;
	line-height: 1.5em;
}
.checkItem .content > div:first-child {
	font-weight: 600;
}


.code-container {
	margin: 2em auto 0;
	width: 100%;
	max-width: 400px;
}
.code-container > div:first-child {
	text-align: center;
	font-size: 2em;
	line-height: 1em;
	font-weight: 600;
	padding-bottom: 1em;
}
.code-box {
	background-color: white;
	border: 1px solid var(--itemBorder);
	border-radius: 1em;
	display: flex;
	overflow: hidden;
}
.code-box input {
	display: block;
	width: calc(100% - 70px);
	font-family: monospace;
	text-transform: uppercase;
	letter-spacing: 2px;
	color: inherit;
	font-size: 2em;
	line-height: 60px;
	text-align: center;
	border: none;
	padding: 0;
}
.code-box input:focus {
	outline: none;
}
.code-box:focus-within {
	outline: 1px solid var(--color2);
	border-color: var(--color2);
}
.code-box div {
	background-color: var(--color2);
	color: white;
	font-weight: 600;
	font-size: 1.5em;
	width: 70px;
	height: 60px;
	line-height: 60px;
	text-align: center;
	cursor: pointer;
}
.code-box div:hover {
	background-color: var(--color2Light);
}


/*.entreprise {
	font-weight: 600;
	font-size: 1.2em;
	margin: 2em 0 1em 0;
}*/
/*.session {
	font-weight: 600;
	margin: 1em 0;
}*/
.prix {
	color: var(--color1);
	display: inline-block;
	border-radius: 0.3em;
	padding: 0 0.5em;
	margin-top: 0.5em;
	font-size: 0.9em;
	border: 1px solid;
	opacity: 0.9;
}
.avertissement {
	color: var(--color3);
	font-weight: 600;
	padding: 0.5em 0;
	font-size: 0.9em;
	line-height: 1.2em;
}
.dates > div {
	border-bottom: 1px solid rgba(0,0,0,0.2);
	padding: 0.5em 0;
	display: flex;
	align-items: center;
}
.dates > div:last-child {
	border: none;
}
.dates .cal {
	border: 2px solid var(--darkColor);
	border-radius: 0.5em;
	overflow: hidden;
	height: 50px;
	width: 50px;
	margin-right: 1em;
}
.dates .cal > div:first-child {
	background-color: var(--darkColor);
	color: white;
	font-weight: 600;
	font-size: 0.75em;
	line-height: 15px;
	text-align: center;
}
.dates .cal > div:last-child {
	text-align: center;
	line-height: 35px;
	font-size: 1.75em;
}


#payment,
#payment-method {
	position: fixed;
	width: 100%;
	height: 100%;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background-color: var(--darkColorAlpha);
	/*flex-direction: column;
	justify-content: center;
	align-items: center;*/
	overflow-y: auto;
}
.payment-header {
	text-align: center;
	margin-bottom: 3em;
}
.payment-header > div:first-child {
	font-size: 0.8em;
	color: var(--darkColor);
	margin-bottom: 0.5em;
}
.payment-header > div:last-child {
	font-size: 1.5em;
	font-weight: 600;
	line-height: 1em;
}
.payment-form {
	max-width: 500px;
	box-shadow: rgba(0,0,0,0.3) 0 4px 10px;
	border-radius: 7px;
	padding: 30px;
	background-color: white;
	border-radius: 1em;
	margin: 3em auto;
}
.payment-message {
	color: rgb(105, 115, 134);
	font-size: 16px;
	line-height: 20px;
	padding-top: 12px;
	text-align: center;
}
.payment-element {
	margin-bottom: 24px;
}
.payment-method-element {
	margin-bottom: 24px;
	background-color: var(--background);
	padding: 1em;
	border-radius: 0.75em;
}

/* Buttons and links */
.payment-form button {
	background-color: var(--color1);
	color: white;
	font-weight: 600;
	padding: 0.75em 1em;
	border-radius: 0.5em;
	border: none;
	font-size: 1.1rem;
	line-height: 1.2em;
	cursor: pointer;
	display: block;
	/*width: 100%;*/
	margin: 0 auto;
}
.payment-form button:hover {
	background-color: var(--color1Light);
}
.payment-form button:disabled {
	opacity: 0.5;
	cursor: default;
}
@media (max-width: 640px) {
	.centerContent {
		flex-direction: column;
		gap: 1rem;
	}
	#payment,
	#payment-method {
		background-color: white;
	}
	.payment-form {
		width: calc(100% - 2em);
		max-width: unset;
		padding: 1em;
		box-shadow: unset;
		border-radius: unset;
		margin: unset;
	}
}
